org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

## Class GetTaskReportsResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskReportsResponseProto>
  - - org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskReportsResponsePBImpl

- All Implemented Interfaces:
    GetTaskReportsResponse

      public class GetTaskReportsResponsePBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskReportsResponseProto>
      implements GetTaskReportsResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskReportsResponsePBImpl()`
    `GetTaskReportsResponsePBImpl(MRServiceProtos.GetTaskReportsResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllTaskReports(List<TaskReport> taskReports)`
    `void` | `addTaskReport(TaskReport taskReports)`
    `void` | `clearTaskReports()`
    `MRServiceProtos.GetTaskReportsResponseProto` | `getProto()`
    `TaskReport` | `getTaskReport(int index)`
    `int` | `getTaskReportCount()`
    `List<TaskReport>` | `getTaskReportList()`
    `void` | `removeTaskReport(int index)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskReportsResponsePBImpl

          public GetTaskReportsResponsePBImpl()

    - #### GetTaskReportsResponsePBImpl

          public GetTaskReportsResponsePBImpl(MRServiceProtos.GetTaskReportsResponseProto proto)

  - ### Method Detail

    - #### getProto

          public MRServiceProtos.GetTaskReportsResponseProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskReportsResponseProto>`

    - #### getTaskReportList

          public List<TaskReport> getTaskReportList()

      Specified by:
        `getTaskReportList` in interface `GetTaskReportsResponse`

    - #### getTaskReport

          public TaskReport getTaskReport(int index)

      Specified by:
        `getTaskReport` in interface `GetTaskReportsResponse`

    - #### getTaskReportCount

          public int getTaskReportCount()

      Specified by:
        `getTaskReportCount` in interface `GetTaskReportsResponse`

    - #### addAllTaskReports

          public void addAllTaskReports(List<TaskReport> taskReports)

      Specified by:
        `addAllTaskReports` in interface `GetTaskReportsResponse`

    - #### addTaskReport

          public void addTaskReport(TaskReport taskReports)

      Specified by:
        `addTaskReport` in interface `GetTaskReportsResponse`

    - #### removeTaskReport

          public void removeTaskReport(int index)

      Specified by:
        `removeTaskReport` in interface `GetTaskReportsResponse`

    - #### clearTaskReports

          public void clearTaskReports()

      Specified by:
        `clearTaskReports` in interface `GetTaskReportsResponse`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.